.ied__sale_banner { height: 942px; background: #FFECCB url(../../2025junsale/bg.webp) center top no-repeat; }
.ied__sale_banner .banner_title { padding-top: 20px; height: auto; text-indent: 0; background: none; text-align: center; }
.ied__sale_banner .banner_title > img { display: inline-block; vertical-align: top; width: auto; max-width: none; }
.ied__sale_banner .banner_desc span { color: #6615FF; font: inherit; }
.ied__sale_offer { margin: 72px auto 20px; }
.ied__sale_offer .sale_reduce { background: #FFEF09; }
.ied__sale_offer .offer_item { border: none; }
.ied__sale_offer .offer_item::after { display: none; }
.ied__sale_offer .offer_head { background: #eceef7; }
.ied__sale_offer .current_sale { min-width: 374px; background: #fff; border: 2px solid #FFC31E; }
.ied__sale_offer .current_sale .offer_discount { margin-top: 18px; margin-bottom: 36px; color: #FF4E00; background: #FFF2C5; border: 1px solid #FFC31E; padding-left: 36px; }
.ied__sale_offer .current_sale .offer_head { height: 44px; }
.ied__sale_offer .current_sale .offer_body { padding-bottom: 56px; }
.ied__sale_offer .current_sale .offer_price { padding-bottom: 22px; }
.ied__sale_offer .current_sale .offer_price strong { color: #EE0019; }
.ied__sale_offer .offer_name { color: #526A92; font: 600 20px/1.2 var(--family); }
.ied__sale_offer .offer_discount { position: relative; margin-top: 28px; display: inline-flex; align-items: center; justify-content: center; font: 700 20px/1.2 var(--family); min-width: 114px; padding: 3px 12px 0; text-align: center; height: 26px; background: #FDF6DB; border-radius: 9999px; margin-bottom: 32px; }
.ied__sale_offer .offer_price { padding-bottom: 22px; }
.ied__sale_offer .offer_price strong { color: #170202; font: 700 20px/1.2 var(--family); }
.ied__sale_offer .offer_price strong big { color: inherit; font: 700 40px/1.2 var(--family); }
.ied__sale_offer .offer_price del { display: block; color: #606060; opacity: 0.7; font: 500 16px/1.2 var(--family); }
.ied__sale_offer .offer_desc { color: #606060; font: 500 14px/1.2 var(--family); }
.ied__sale_offer .sale_btn { margin: 8px auto 26px; }
.ied__sale_offer .one_time { color: #606060; font: 500 14px/1.2 var(--family); }
.ied__sale_offer .one_time span { font: inherit; color: inherit; }

.ied_sale .comm-popup { width: 602px; height: 409px; background: url(./pop_bg.png) center center no-repeat; }
.ied_sale .comm-popup .comm-close { top: 16px; right: 12px; width: 16px; height: 16px; transform-origin: center center; transition: all 0.3s ease; }
.ied_sale .comm-popup .comm-close::before, .ied_sale .comm-popup .comm-close::after { top: 2px; left: 0; height: 2px; border-radius: 9999px; transform: rotate(45deg) translateZ(0); will-change: transform; }
.ied_sale .comm-popup .comm-close::after { transform: rotate(-45deg) translateZ(0); }
.ied_sale .comm-popup .pop_title { padding-top: 60px; display: flex; align-items: center; justify-content: center; flex-direction: column; text-transform: uppercase; }
.ied_sale .comm-popup .pop_title b { display: inline-block; position: relative; z-index: 0; font: 900 38px/1.5 var(--family); color: transparent; filter: drop-shadow(rgba(0, 0, 0, 0.374) 0px 3px 14px); }
.ied_sale .comm-popup .pop_title b::before { content: attr(data-text); position: absolute; left: 0px; top: 0px; z-index: 2; display: block; font: inherit; background-image: linear-gradient(180deg, #FEF0CA 0%, #DDBA58 100%); background-clip: text; color: transparent; text-align: center; }
.ied_sale .comm-popup .pop_title strong { font: 700 24px/1.5 var(--family); color: #FFFF00; text-transform: uppercase; }
.ied_sale .comm-popup .pop_title .title_small { margin-top: -8px; }
.ied_sale .comm-popup .pop_title .title_small b { font-size: 22px; }
.ied_sale .comm-popup .pop_offer { margin: 4px auto 18px; }
.ied_sale .comm-popup .pop_item { background: transparent linear-gradient(146deg, #FFF2D0 0%, #FFD188 100%) 0% 0% no-repeat padding-box; border: 1px dashed #FFA100; border-radius: 10px; }
.ied_sale .comm-popup .pop_current { padding-bottom: 18px; position: relative; background: #FFFFE6; border: none; box-shadow: 0px 4px 10px #F34B00; border-radius: 10px; transform-style: preserve-3d; }
.ied_sale .comm-popup .pop_current::before { content: ''; position: absolute; top: -8px; left: -8px; width: calc(100% + 12px); height: calc(100% + 12px); border: 2px solid #FF0000; border-radius: 14px; transform: translateZ(-1px); }
.ied_sale .comm-popup .pop_current .pop_sale { color: #FE1E1C; }
.ied_sale .comm-popup .pop_current .pop_sale strong { font-size: 40px; }
.ied_sale .comm-popup .pop_current .pop_original { color: #8D8D8D; }
.ied_sale .comm-popup .pop_discount { background: #000; }
.ied_sale .comm-popup .pop_discount b { color: #FFEA00; }
.ied_sale .comm-popup .pop_discount .pop_vip { background: #FFF8B8; }
.ied_sale .comm-popup .pop_top { border-bottom: 1px dashed #F29900; }
.ied_sale .comm-popup .pop_device { color: #BC6725; }
.ied_sale .comm-popup .pop_sale { color: #FE1E1C; }
.ied_sale .comm-popup .pop_sale strong { font-size: 30px; }
.ied_sale .comm-popup .pop_original { color: #CB912D; }
.ied_sale .comm-popup .comm-popup-btn.pop_btn { height: 50px; background: transparent linear-gradient(99deg, #FFE700 0%, #FE7805 100%) 0% 0% no-repeat padding-box; box-shadow: 0px 5px 15px #DE3E18; border: 2px solid #FFF; border-radius: 5px; }
.ied_sale .comm-popup .comm-popup-btn.pop_btn:hover { box-shadow: none; outline: none; background: transparent linear-gradient(270deg, #FFD500 0%, #FF9100 100%) 0% 0% no-repeat padding-box; }
